automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] Make test `ammissing.test' stricter.


From: Stefano Lattarini
Subject: [PATCH] Make test `ammissing.test' stricter.
Date: Sun, 6 Jun 2010 21:30:36 +0200
User-agent: KMail/1.12.1 (Linux/2.6.30-2-686; KDE/4.3.4; i686; ; )

* tests/ammissing.test: Fail if $ACLOCAL succeds unexpectedly.
Enable `errexit' shell flag. 

-*-*-*-

No portability problems should be introduced w.r.t. the errexit shell 
flag: there are no compound commands, and the only potentially 
problematic construct is:
  $ACLOCAL 2>stderr && { cat stderr >&2; Exit 1; }
but similar constructs are already used in various other tests, e.g.
in `aclocal.test':
  $ACLOCAL --output 2>stderr && { cat stderr >&2; Exit 1; }
  $ACLOCAL --unknown-option 2>stderr && { cat stderr >&2; Exit 1; }
  ...
in `check4.test' and `check8.test':
  $MAKE check >stdout && { cat stdout; Exit 1; }
  ...
etc.

From e0d14e94035481df64d6333bdba3b9d9fe1b6370 Mon Sep 17 00:00:00 2001
From: Stefano Lattarini <address@hidden>
Date: Sun, 6 Jun 2010 21:08:59 +0200
Subject: [PATCH] Make test `ammissing.test' stricter.

* tests/ammissing.test: Fail if $ACLOCAL succeds unexpectedly.
Enable `errexit' shell flag.
---
 ChangeLog            |    6 ++++++
 tests/ammissing.test |    6 ++++--
 2 files changed, 10 insertions(+), 2 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 4f94715..861fd96 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,4 +1,10 @@
 2010-06-06  Stefano Lattarini  <address@hidden>
+
+       Make test `ammissing.test' stricter.
+       * tests/ammissing.test: Fail if $ACLOCAL succeds unexpectedly.
+       Enable `errexit' shell flag.
+
+2010-06-06  Stefano Lattarini  <address@hidden>
            Ralf Wildenhues  <address@hidden>
 
        Fix distcheck failure with distributed generated parallel tests.
diff --git a/tests/ammissing.test b/tests/ammissing.test
index 61d360a..79d9fc2 100755
--- a/tests/ammissing.test
+++ b/tests/ammissing.test
@@ -1,5 +1,5 @@
 #! /bin/sh
-# Copyright (C) 1997, 2002, 2004  Free Software Foundation, Inc.
+# Copyright (C) 1997, 2002, 2004, 2010 Free Software Foundation, Inc.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,8 +18,10 @@
 
 . ./defs || Exit 1
 
+set -e
+
 echo AM_ZARDOZ >> configure.in
 
-$ACLOCAL 2>stderr
+$ACLOCAL 2>stderr && { cat stderr >&2; Exit 1; }
 cat stderr
 grep 'configure.in:.*AM_ZARDOZ.*not found' stderr
-- 
1.6.5


reply via email to

[Prev in Thread] Current Thread [Next in Thread]